Main Page Widgets Namespaces Book

# Gtk::Combo Class Reference

Inheritance diagram for Gtk::Combo:

[legend]

List of all members.

## Detailed Description

A text entry field with a dropdown list.

A combo is a compound widget which crosses a text entry area and a pull down list. It may allow text entry or it may just allow list values depending on the settings.

Access members allow altering of the widget components.

Deprecated:
  Use the ComboBox widget instead.

## Public Member Functions

| Combo ()
void | disable_activate ()
const Entry* | get_entry () const
Entry* | get_entry ()
const ComboDropDown* | get_list () const
ComboDropDown* | get_list ()
Glib::ListHandle<Glib::ustring> | get_popdown_strings () const
const GtkCombo* | gobj () const
| Provides access to the underlying C GtkObject.
GtkCombo* | gobj ()
| Provides access to the underlying C GtkObject.
Glib::PropertyProxy_ReadOnly <bool> | property_allow_empty () const
| Whether an empty value may be entered in this field.
Glib::PropertyProxy<bool> | property_allow_empty ()
| Whether an empty value may be entered in this field.
Glib::PropertyProxy_ReadOnly <bool> | property_case_sensitive () const
| Whether list item matching is case sensitive.
Glib::PropertyProxy<bool> | property_case_sensitive ()
| Whether list item matching is case sensitive.
Glib::PropertyProxy_ReadOnly <bool> | property_enable_arrow_keys () const
| Whether the arrow keys move through the list of items.
Glib::PropertyProxy<bool> | property_enable_arrow_keys ()
| Whether the arrow keys move through the list of items.
Glib::PropertyProxy_ReadOnly <bool> | property_enable_arrows_always () const
| Obsolete property.
Glib::PropertyProxy<bool> | property_enable_arrows_always ()
| Obsolete property.
Glib::PropertyProxy_ReadOnly <bool> | property_value_in_list () const
| Whether entered values must already be present in the list.
Glib::PropertyProxy<bool> | property_value_in_list ()
| Whether entered values must already be present in the list.
void | remove_item_string (Gtk::Item& item)
void | set_case_sensitive (bool val=true)
| Sets list case sensitive Determines if the list items and text comparisons for set_use_arrows_always() should be case sensitive.
void | set_item_string (Gtk::Item& item, const Glib::ustring& item_value)
| Set the current entry Glib::ustring Call this function on an item if it isn't a label or you want it to have a different value to be displayed in the entry.
void | set_popdown_strings (const Glib::ListHandle<Glib::ustring>& strings)
| Insert a list of items.
void | set_use_arrows (bool arrows_on=true)
| Set arrows keys to change value Up and down will scroll through the list items.
void | set_use_arrows_always (bool arrows_always=true)
| Set arrows keys to change if value not in list Up and down will scroll through the list items but only change the current value if the text does not match a list item.
void | set_value_in_list (bool value=true, bool empty=false)
| Allow direct text entry Whether the text in the entry must be or not be in the list.
virtual | ~Combo ()

## Related Functions

(Note that these are not member functions.)
Gtk::Combo* | wrap (GtkCombo* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::Combo::~Combo | ( |  | ) | `[virtual]`

Gtk::Combo::Combo | ( |  | ) |

## Member Function Documentation

void Gtk::Combo::disable_activate | ( |  | ) |

const Entry* Gtk::Combo::get_entry | ( |  | ) | const

Entry* Gtk::Combo::get_entry | ( |  | ) |

const ComboDropDown* Gtk::Combo::get_list | ( |  | ) | const

ComboDropDown* Gtk::Combo::get_list | ( |  | ) |

Glib::ListHandle<Glib::ustring> Gtk::Combo::get_popdown_strings | ( |  | ) | const

const GtkCombo* Gtk::Combo::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::HBox.

GtkCombo* Gtk::Combo::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::HBox.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Combo::property_allow_empty | ( |  | ) | const

Whether an empty value may be entered in this field.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Combo::property_allow_empty | ( |  | ) |

Whether an empty value may be entered in this field.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Combo::property_case_sensitive | ( |  | ) | const

Whether list item matching is case sensitive.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Combo::property_case_sensitive | ( |  | ) |

Whether list item matching is case sensitive.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Combo::property_enable_arrow_keys | ( |  | ) | const

Whether the arrow keys move through the list of items.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Combo::property_enable_arrow_keys | ( |  | ) |

Whether the arrow keys move through the list of items.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Combo::property_enable_arrows_always | ( |  | ) | const

Obsolete property.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Combo::property_enable_arrows_always | ( |  | ) |

Obsolete property.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Combo::property_value_in_list | ( |  | ) | const

Whether entered values must already be present in the list.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Combo::property_value_in_list | ( |  | ) |

Whether entered values must already be present in the list.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::Combo::remove_item_string | ( | Gtk::Item& | item | ) |

void Gtk::Combo::set_case_sensitive | ( | bool | val = `true` | ) |

Sets list case sensitive Determines if the list items and text comparisons for set_use_arrows_always() should be case sensitive.

void Gtk::Combo::set_item_string | ( | Gtk::Item& | item,
|  | const Glib::ustring & | item_value |
| ) |  |  |

Set the current entry Glib::ustring Call this function on an item if it isn't a label or you want it to have a different value to be displayed in the entry.

void Gtk::Combo::set_popdown_strings | ( | const Glib::ListHandle< Glib::ustring > & | strings | ) |

Insert a list of items.

void Gtk::Combo::set_use_arrows | ( | bool | arrows_on = `true` | ) |

Set arrows keys to change value Up and down will scroll through the list items.

Useful when there is a small list of value that the list must have.

Parameters:

  | arrows_on | true indicates the arrow keys scroll.

void Gtk::Combo::set_use_arrows_always | ( | bool | arrows_always = `true` | ) |

Set arrows keys to change if value not in list Up and down will scroll through the list items but only change the current value if the text does not match a list item.

Useful when there is a small list of value that the list must have.

Parameters:

  | arrows_always | true indicates the value will change.

void Gtk::Combo::set_value_in_list | ( | bool | value = `true`,
|  | bool | empty = `false` |
| ) |  |  |

Allow direct text entry Whether the text in the entry must be or not be in the list.

Parameters:

  | value | Set to true if the value must be in list.
  | empty | Set to true if the text area is allowed to be empty.

## Friends And Related Function Documentation

Gtk::Combo* wrap | ( | GtkCombo * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- combo.h